<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">
<f:layout name="General" />
<!--
	=====================
		Templates/News/SearchResult.html
-->

<f:section name="content">
	<div class="news-search-result">
		<f:if condition="{search}">
			<f:if condition="{news}">
				<f:then>
					<div class="count-msg">
						<f:translate key="search-text" arguments="{0:'{f:count(subject:news)}',1:search.subject}" />
					</div>

					<f:switch expression="{settings.templateLayout}">
						<f:case value="1"></f:case>
						<f:case value="2"></f:case>
						<f:case value="4">

							<div class="teaser__wrapper news__container" id="news-container-grid-{contentObjectData.uid}">
								<div class="news-list-view blog__list">
									<f:for each="{news}" as="newsItem" iteration="iterator">
										<f:render partial="List/ItemBlog" arguments="{newsItem: newsItem,settings:settings,iterator:iterator}" />
									</f:for>
								</div>
							</div>
						</f:case>
						<f:case value="5"></f:case>
						<f:defaultCase>
							<f:for each="{news}" as="newsItem">
								<f:render partial="List/Item" arguments="{newsItem: newsItem, settings:settings, className:className, view:'list'}" />
							</f:for>
						</f:defaultCase>
					</f:switch>
				</f:then>
				<f:else>
					<div class="no-news-found">
						<f:translate key="search-noresult" />
					</div>
				</f:else>
			</f:if>
		</f:if>
	</div>
</f:section>
</html>